Skip to content

岗位管理 API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 6 个端点

POST /system/post ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/ReqAddPostDto"
}

响应 ​

状态码说明
201

PUT /system/post ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/Post"
}

响应 ​

状态码说明
200

GET /system/post/{postId} ​

无描述

请求参数 ​

参数名位置类型必填说明
postIdpathnumber✅

响应 ​

状态码说明
200

DELETE /system/post/{postIds} ​

无描述

请求参数 ​

参数名位置类型必填说明
postIdspathstring✅

响应 ​

状态码说明
200

POST /system/post/export ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/ReqPostListDto"
}

响应 ​

状态码说明
201

GET /system/post/list ​

无描述

响应 ​

状态码说明
200

Released under the MIT License.